Bug 1279436 - tmux: Out-of-bounds heap read
tmux: Out-of-bounds heap read
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150825,reported=2...
: Security
Depends On: 1279439 1279437 1279438
Blocks: 1279440
  Show dependency treegraph
 
Reported: 2015-11-09 08:05 EST by Adam Mariš
Modified: 2016-05-07 08:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that tmux did not properly handle certain input. An attacker could use this flaw to cause an out-of-bounds read by tricking a user into displaying specially crafted input within a tmux session.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-11 06:13:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-09 08:05:03 EST
An out-of-bounds heap read vulnerability was found in tmux.

Upstream bug (including reproducer):

https://github.com/tmux/tmux/issues/92

Upstream patch:

https://github.com/tmux/tmux/commit/2ffbd5b5f05dded1564ba32a6a00b0b417439b2f
Comment 1 Adam Mariš 2015-11-09 08:05:44 EST
Created tmux tracking bugs for this issue:

Affects: fedora-all [bug 1279437]
Affects: epel-5 [bug 1279438]
Affects: epel-6 [bug 1279439]
Comment 4 Fedora Update System 2016-05-07 08:01:26 EDT
tmux-2.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.